Package org.mariadb.jdbc.message.server

## Class ColumnDefinitionPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.ColumnDefinitionPacket

All Implemented Interfaces:
  `ServerMessage`

    public class ColumnDefinitionPacket
    extends Object
    implements ServerMessage

### Constructor Summary

Constructors
`ColumnDefinitionPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf, boolean extendedInfo)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ColumnDefinitionPacket` `create​(String name, org.mariadb.jdbc.codec.DataType type)`
`boolean` `equals​(Object o)`
`String` `getColumn()`
`String` `getColumnAlias()`
`int` `getColumnType​(Configuration conf)`
`byte` `getDecimals()`
`Codec<?>` `getDefaultCodec​(Configuration conf)`
`int` `getDisplaySize()`
`String` `getExtTypeName()`
`int` `getFlags()`
`long` `getLength()`
`long` `getPrecision()` Return metadata precision.
`String` `getSchema()`
`String` `getTable()`
`String` `getTableAlias()`
`org.mariadb.jdbc.codec.DataType` `getType()`
`boolean` `hasDefault()`
`int` `hashCode()`
`boolean` `isAutoIncrement()`
`boolean` `isBinary()`
`boolean` `isPrimaryKey()`
`boolean` `isSigned()`
`void` `useAliasAsName()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnDefinitionPacket

    public ColumnDefinitionPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                                  boolean extendedInfo)

### Method Detail

#### create

    public static ColumnDefinitionPacket create​(String name,
                                                org.mariadb.jdbc.codec.DataType type)

#### getSchema

    public String getSchema()

#### getTableAlias

    public String getTableAlias()

#### getTable

    public String getTable()

#### getColumnAlias

    public String getColumnAlias()

#### getColumn

    public String getColumn()

#### getLength

    public long getLength()

#### getType

    public org.mariadb.jdbc.codec.DataType getType()

#### getDecimals

    public byte getDecimals()

#### isSigned

    public boolean isSigned()

#### getDisplaySize

    public int getDisplaySize()

#### isPrimaryKey

    public boolean isPrimaryKey()

#### isAutoIncrement

    public boolean isAutoIncrement()

#### hasDefault

    public boolean hasDefault()

#### isBinary

    public boolean isBinary()

#### getFlags

    public int getFlags()

#### getExtTypeName

    public String getExtTypeName()

#### getPrecision

    public long getPrecision()

Return metadata precision.

Returns:
  precision

#### getColumnType

    public int getColumnType​(Configuration conf)

#### getDefaultCodec

    public Codec<?> getDefaultCodec​(Configuration conf)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### useAliasAsName

    public void useAliasAsName()